function _oma_packages
    oma pkgnames 2> /dev/null
end

complete -c oma -n "__fish_use_subcommand" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_use_subcommand" -s v -l version -d 'Print version'
complete -c oma -n "__fish_use_subcommand" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_use_subcommand" -f -a "install" -d 'Install package(s) from the repository'
complete -c oma -n "__fish_use_subcommand" -f -a "upgrade" -d 'Upgrade packages installed on the system'
complete -c oma -n "__fish_use_subcommand" -f -a "download" -d 'Download package(s) from the repository'
complete -c oma -n "__fish_use_subcommand" -f -a "remove" -d 'Remove the specified package(s)'
complete -c oma -n "__fish_use_subcommand" -f -a "refresh" -d 'Refresh repository metadata/catalog'
complete -c oma -n "__fish_use_subcommand" -f -a "show" -d 'Show information on the specified package(s)'
complete -c oma -n "__fish_use_subcommand" -f -a "search" -d 'Search for package(s) available from the repository'
complete -c oma -n "__fish_use_subcommand" -f -a "files" -d 'List files in the specified package'
complete -c oma -n "__fish_use_subcommand" -f -a "provides" -d 'Search for package(s) that provide(s) certain patterns in a path'
complete -c oma -n "__fish_use_subcommand" -f -a "fix-broken" -d 'Resolve broken system dependencies in the system'
complete -c oma -n "__fish_use_subcommand" -f -a "pick" -d 'Install specific version of a package'
complete -c oma -n "__fish_use_subcommand" -f -a "mark" -d 'Mark status for one or multiple package(s)'
complete -c oma -n "__fish_use_subcommand" -f -a "command-not-found"
complete -c oma -n "__fish_use_subcommand" -f -a "list" -d 'List package(s) available from the repository'
complete -c oma -n "__fish_use_subcommand" -f -a "depends" -d 'Lists dependencies of one or multiple packages'
complete -c oma -n "__fish_use_subcommand" -f -a "rdepends" -d 'List reverse dependency(ies) for the specified package(s)'
complete -c oma -n "__fish_use_subcommand" -f -a "clean" -d 'Clear downloaded package cache'
complete -c oma -n "__fish_use_subcommand" -f -a "history" -d 'Show a history/log of package changes in the system'
complete -c oma -n "__fish_use_subcommand" -f -a "pkgnames"
complete -c oma -n "__fish_use_subcommand" -f -a "topics" -d 'Manage testing topics enrollment'
complete -c oma -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l install-dbg -d 'Install debug symbols for (a) package(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l reinstall -d 'Reinstall package(s) by downloading a current copy from the repository'
complete -c oma -n "__fish_seen_subcommand_from install" -l install-recommends -d 'Install recommended packages(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l no-install-recommends -d 'Do not install recommended packages(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l install-suggests -d 'Install suggested package(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l no-install-suggests -d 'Do not install suggests packages(s)'
complete -c oma -n "__fish_seen_subcommand_from install" -l no-fix-broken -d 'Do not attempt to resolve broken dependencies in the system'
complete -c oma -n "__fish_seen_subcommand_from install" -l no-refresh -d 'Do not refresh repository metadata'
complete -c oma -n "__fish_seen_subcommand_from install" -s y -l yes -d 'Bypass confirmation prompts'
complete -c oma -n "__fish_seen_subcommand_from install" -l force-yes -d 'Ignore repository and package dependency issues'
complete -c oma -n "__fish_seen_subcommand_from install" -l force-confnew -d 'Replace configuration file(s) in the system those shipped in the package(s) to be installed (invokes `dpkg --force-confnew`)'
complete -c oma -n "__fish_seen_subcommand_from install" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from install" -l dpkg-force-all -d 'Request dpkg(1) to ignore any issues occurred during the installation and configuration process'
complete -c oma -n "__fish_seen_subcommand_from install" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from install" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l no-autoremove -d 'Do not remove package(s) without reverse dependencies'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -s y -l yes -d 'Bypass confirmation prompts'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l force-yes -d 'Ignore repository and package dependency issues'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l force-confnew -d 'Replace configuration file(s) in the system those shipped in the package(s) to be installed (invokes `dpkg --force-confnew`)'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l dpkg-force-all -d 'Request dpkg(1) to ignore any issues occurred during the installation and configuration process'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from upgrade" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from download" -s p -l path -d 'The path where package(s) should be downloaded to' -r
complete -c oma -n "__fish_seen_subcommand_from download" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from download" -l with-deps -d 'Download package(s) from the repository with dependencies'
complete -c oma -n "__fish_seen_subcommand_from download" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from remove" -s y -l yes -d 'Bypass confirmation prompts'
complete -c oma -n "__fish_seen_subcommand_from remove" -l force-yes -d 'Ignore repository and package dependency issues'
complete -c oma -n "__fish_seen_subcommand_from remove" -l no-autoremove -d 'Do not remove package(s) without reverse dependencies'
complete -c oma -n "__fish_seen_subcommand_from remove" -s k -l keep-config -d 'Keep configuration file(s), this may be useful if you intend to install the package(s) again in the future'
complete -c oma -n "__fish_seen_subcommand_from remove" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from remove" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from remove" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from refresh" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from refresh" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from show" -s a -d 'Show information on all available version(s) of (a) package(s) from all repository(ies)'
complete -c oma -n "__fish_seen_subcommand_from show" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from show" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from search" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from search" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from files" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from files" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from provides" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from provides" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from fix-broken" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from fix-broken" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from fix-broken" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from pick" -l no-fix-broken -d 'Do not attempt to resolve broken dependencies in the system'
complete -c oma -n "__fish_seen_subcommand_from pick" -l no-refresh -d 'Do not refresh repository metadata'
complete -c oma -n "__fish_seen_subcommand_from pick" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from pick" -l dpkg-force-all -d 'Request dpkg(1) to ignore any issues occurred during the installation and configuration process'
complete -c oma -n "__fish_seen_subcommand_from pick" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from pick" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from mark" -l dry-run -d 'Run Omakase in “dry-run” mode'
complete -c oma -n "__fish_seen_subcommand_from mark" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from mark" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from command-not-found" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from command-not-found" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from list" -s a -d 'List all available version(s) of (a) package(s) from all repository(ies)'
complete -c oma -n "__fish_seen_subcommand_from list" -s i -d 'List only package(s) currently installed on the system'
complete -c oma -n "__fish_seen_subcommand_from list" -s u -d 'List only package(s) with update(s) available'
complete -c oma -n "__fish_seen_subcommand_from list" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from list" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from depends" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from depends" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from rdepends" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from rdepends" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from clean" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from clean" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from history" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from history" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from pkgnames" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from pkgnames" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from topics" -l opt-in -d 'Enroll in one or more topic(s), delimited by space' -r
complete -c oma -n "__fish_seen_subcommand_from topics" -l opt-out -d 'Withdraw from one or more topic(s) and rollback to stable versions, delimited by space' -r
complete -c oma -n "__fish_seen_subcommand_from topics" -l debug -d 'Run oma with debug mode'
complete -c oma -n "__fish_seen_subcommand_from topics" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Install package(s) from the repository'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Upgrade packages installed on the system'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "download" -d 'Download package(s) from the repository'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove the specified package(s)'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "refresh" -d 'Refresh repository metadata/catalog'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "show" -d 'Show information on the specified package(s)'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "search" -d 'Search for package(s) available from the repository'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "files" -d 'List files in the specified package'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "provides" -d 'Search for package(s) that provide(s) certain patterns in a path'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "fix-broken" -d 'Resolve broken system dependencies in the system'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "pick" -d 'Install specific version of a package'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "mark" -d 'Mark status for one or multiple package(s)'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "command-not-found"
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List package(s) available from the repository'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "depends" -d 'Lists dependencies of one or multiple packages'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "rdepends" -d 'List reverse dependency(ies) for the specified package(s)'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "clean" -d 'Clear downloaded package cache'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "history" -d 'Show a history/log of package changes in the system'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "pkgnames"
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "topics" -d 'Manage testing topics enrollment'
complete -c oma -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from refresh; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from files; and not __fish_seen_subcommand_from provides; and not __fish_seen_subcommand_from fix-broken; and not __fish_seen_subcommand_from pick; and not __fish_seen_subcommand_from mark; and not __fish_seen_subcommand_from command-not-found; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from depends; and not __fish_seen_subcommand_from rdepends; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from history; and not __fish_seen_subcommand_from pkgnames; and not __fish_seen_subcommand_from topics; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
# Enhanced completions
complete -xc oma -n "__fish_seen_subcommand_from install" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from depends" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from download" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from list" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from files" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from pick" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from rdepends" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from search" -a "(_oma_packages)"
complete -xc oma -n "__fish_seen_subcommand_from show" -a "(_oma_packages)"
